package com.weiqi.vo;

import java.util.Date;

public class SmsSendVo {
    private String msgid;
    private int page;//第几页
    private int limit;//每页显示条数

    private String appid;

    private String mobile;

    private String message;

    private String appendid;

    private String sp;

    private String fixedSp;

    private String beginTime;
    private String endTime;

    private String clientIp;

    private Byte splitCount;

    private Byte splitCountOk;

    private Byte splitCountFail;

    private Date reportTime;

    private String reportDesc;

    private String rsaMobile;

    private String md5Mobile;
    private String status;
    private Byte sendStatus;

    public Byte getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Byte sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMsgid() {
        return msgid;
    }

    public void setMsgid(String msgid) {
        this.msgid = msgid == null ? null : msgid.trim();
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid == null ? null : appid.trim();
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message == null ? null : message.trim();
    }

    public String getAppendid() {
        return appendid;
    }

    public void setAppendid(String appendid) {
        this.appendid = appendid == null ? null : appendid.trim();
    }

    public String getSp() {
        return sp;
    }

    public void setSp(String sp) {
        this.sp = sp == null ? null : sp.trim();
    }

    public String getFixedSp() {
        return fixedSp;
    }

    public void setFixedSp(String fixedSp) {
        this.fixedSp = fixedSp == null ? null : fixedSp.trim();
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp == null ? null : clientIp.trim();
    }

    public Byte getSplitCount() {
        return splitCount;
    }

    public void setSplitCount(Byte splitCount) {
        this.splitCount = splitCount;
    }

    public Byte getSplitCountOk() {
        return splitCountOk;
    }

    public void setSplitCountOk(Byte splitCountOk) {
        this.splitCountOk = splitCountOk;
    }

    public Byte getSplitCountFail() {
        return splitCountFail;
    }

    public void setSplitCountFail(Byte splitCountFail) {
        this.splitCountFail = splitCountFail;
    }

    public Date getReportTime() {
        return reportTime;
    }

    public void setReportTime(Date reportTime) {
        this.reportTime = reportTime;
    }

    public String getReportDesc() {
        return reportDesc;
    }

    public void setReportDesc(String reportDesc) {
        this.reportDesc = reportDesc == null ? null : reportDesc.trim();
    }

    public String getRsaMobile() {
        return rsaMobile;
    }

    public void setRsaMobile(String rsaMobile) {
        this.rsaMobile = rsaMobile == null ? null : rsaMobile.trim();
    }

    public String getMd5Mobile() {
        return md5Mobile;
    }

    public void setMd5Mobile(String md5Mobile) {
        this.md5Mobile = md5Mobile == null ? null : md5Mobile.trim();
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    @Override
    public String toString() {
        return "SmsSendVo{" +
                "msgid='" + msgid + '\'' +
                ", page=" + page +
                ", limit=" + limit +
                ", appid='" + appid + '\'' +
                ", mobile='" + mobile + '\'' +
                ", message='" + message + '\'' +
                ", appendid='" + appendid + '\'' +
                ", sp='" + sp + '\'' +
                ", fixedSp='" + fixedSp + '\'' +
                ", beginTime='" + beginTime + '\'' +
                ", endTime='" + endTime + '\'' +
                ", clientIp='" + clientIp + '\'' +
                ", splitCount=" + splitCount +
                ", splitCountOk=" + splitCountOk +
                ", splitCountFail=" + splitCountFail +
                ", reportTime=" + reportTime +
                ", reportDesc='" + reportDesc + '\'' +
                ", rsaMobile='" + rsaMobile + '\'' +
                ", md5Mobile='" + md5Mobile + '\'' +
                ", status='" + status + '\'' +
                ", sendStatus=" + sendStatus +
                '}';
    }
}